"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deleteRequest = exports.getRequest = void 0;
const tslib_1 = require("tslib");
const got_1 = tslib_1.__importDefault(require("got"));
function createHeaders(accessToken) {
    return { 'PRIVATE-TOKEN': accessToken };
}
const getRequest = (url, accessToken) => {
    return got_1.default.paginate.all(url, {
        headers: createHeaders(accessToken),
    });
};
exports.getRequest = getRequest;
const deleteRequest = (url, accessToken) => {
    return got_1.default
        .delete(url, {
        headers: createHeaders(accessToken),
        throwHttpErrors: true,
        retry: 0,
    })
        .text();
};
exports.deleteRequest = deleteRequest;
//# sourceMappingURL=network.js.map